View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001000Ecere SDKide:findinfilespublic2013-09-10 04:272013-10-09 07:00
Reporterjerome 
Assigned Toredj 
PriorityimmediateSeveritycrashReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44.09 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0001000: Out of bounds crash on Find in Files
DescriptionAs summarized
Steps To ReproduceI was searching in a network path for lib.exe
Additional Informationframe is 1024

when stack is defined as:

SearchStackFrame stack[1024];

Call stack:
  0 SearchThread_Main Method, src\dialogs\FindInFilesDialog.ec:801
  1 __ecereNameSpace__ecere__sys__Thread_ThreadCallBack Method, src\sys\Thread.ec:63
  2 inside KERNEL32!BaseThreadInitThunk, C:\Windows\System32\kernel32.dll

----
1. We seem to be missing an upper bound on frame?
2. I don't think anything is 1024 levels deep in my test folder so obviously something is wrong (Seems to have to do with Windows network paths \\server\share\folder ...
TagsNo tags attached.
Attached Files

- Relationships
related to 0000609closedjerome Playing with FileDialog while Directory Search is going on hangs the IDE 

-  Notes
(0001080)
jerome (administrator)
2013-09-28 00:48

using a const int for [ ]
that's a C99 feature isn't it? :P
(I'd typically use a #define , though C99 is starting to be the standard we should support ;
e.g. the const doesn't realy make a difference
you can still obtain the address of the const int :)

Ah also it'd be nice if we wouldn't stall when typing a network path in a PathBox \\kitana
it should probably be wait until you do \\kitana\
before trying to test the path...
Is that easy to tweak in the PathBox?
it's a nightmare to type a network path in a PathBox otherwise :)

The directory path is coming in to FileListing::Find as //kitana/install rather than \\kitana\install
and the default Windows find mechanism asks for //kitana/install/*.* and somehow that returns //kitana/install
Now I don't know if we want to treat //kitana/install as a Windows network path?
do we already do that?
I know it's kind of used in the Linux world you can specify things to smb tools like that
(0001105)
jerome (administrator)
2013-09-30 09:04

Out of bounds crash and stalling while typing fixed by:

https://github.com/ecere/ecere-sdk/commit/0a410fbd59f0a0c05a435da73f39fb70ada5468f [^]

// vs \\ issue remains to be resolved.
(0001119)
redj (administrator)
2013-10-06 02:16
edited on: 2013-10-09 06:56

fixed by not using PathBox::slashPath in find in files.
https://github.com/ecere/ecere-sdk/commit/6dadd97a0b90de0eae4b93634ee60fb40e89c0ce [^]


- Issue History
Date Modified Username Field Change
2013-09-10 04:27 jerome New Issue
2013-09-10 04:27 jerome Status new => assigned
2013-09-10 04:27 jerome Assigned To => redj
2013-09-10 04:42 jerome Additional Information Updated
2013-09-28 00:48 jerome Note Added: 0001080
2013-09-30 09:04 jerome Note Added: 0001105
2013-10-06 02:16 redj Status assigned => resolved
2013-10-06 02:16 redj Fixed in Version => 0.44.10 64
2013-10-06 02:16 redj Resolution open => fixed
2013-10-06 02:16 redj Note Added: 0001119
2013-10-09 06:56 jerome Note Edited: 0001119
2013-10-09 07:00 jerome Status resolved => closed
2014-04-30 09:46 jerome Relationship added related to 0000609



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker